Subject: Re: IETF #53 Schedule Stability

From: [email-masked]
Date: Sat, 23 Feb 2002 00:03:26 +0100

Stephen,

> What I am asking is that if, on March 1, the agenda says my meetings
> are Monday and Tuesday, and I buy a cheap ticket to go home Wednesday,
> the agenda doesn't change on March 11 moving my meetings to Thursday
> and Friday.

there  might be good reasons for you to go home (i don't discuss that)
but
the key question here is for me that an IETF meeting doesn't come down 
for any IETFer to a list of one or two WG meetings... it is the place
where a lot of IP Engineers find the time to discuss and exchange their
views on the future of the IP protocols, the INTERNET, etc. ... i can't
force you to stay if you want to go home on wednesday but could you one
second imagine what an IETF meeting might become if any IETFer behaves 
like you propose ? Once its meeting of concern finishes any IETFer go
home... more than probably these individuals will miss the most
important !

hope i won't miss meeting you before wednesday ;-)
- dimitri.

Stephen Trowbridge wrote:
> 
> Michel,
> I am not asking to move "my" meetings in close proximity. If they
> were Monday and Thursday (or Friday A.M.), then I have to deal with it,
> but I can still by a cheap ticket.
> What I am asking is that if, on March 1, the agenda says my meetings
> are Monday and Tuesday, and I buy a cheap ticket to go home Wednesday,
> the agenda doesn't change on March 11 moving my meetings to Thursday
> and Friday.
> IETF is one of four standards organizations in which I participate.
> In the past, a last minute change would mean that my company would
> pay extra on my travel voucher to cover the penalties. Today, I
> have hard limits on expenditures and a last minute change means I
> either cancel this trip, or I cancel another trip to pay the
> penalties for the change. It doesn't seem like too much to ask
> that the WG and BOF times are set within a week of having all of
> the requests to avoid participants having to make these kinds of
> choices. I would be surprised if I am the only participant facing
> these kinds of "new economy" rules.
> Steve
> 
> Michel Py wrote:
> >
> > Steve,
> >
> > > As the deadline for requests is February 22, would it
> > > be possible to stabilize the agenda (at least WG and
> > > BOF meeting times, not necessarily WG agendas) by
> > > March 1? This would still allow for 14-day advance
> > > purchase of airline tickets.
> >
> > I think you are asking for a miracle here...... Don't get we wrong I
> > would love it too.
> >
> > And there will be too many situations when the only two meetings you are
> > interested in are on Monday and Thursday.
> >
> > Michel.
> 
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Raffaele D'Albenzio.

---

From: "Eric Burger" <[email-masked]>
Date: Sun, 24 Feb 2002 03:05:35 -0500

First a disclaimer:  all I ever miss is the newcomer's orientation :-)...
Yet...

I have to sympathize with Stephen's point of view.  If we want a broad
participation in the IETF, we have to make it possible for people to
participate.  Not all of us work for companies with multi-million euro
travel budgets.  Then again, in the "new old economy", the company with the
multi-million euro travel budget also has a multi-million euro bean counter,
that will give grief to spending one euro more...

While it's true that one should try to "see everything", it's hard to
imagine, for example, how a junior engineer working on an implementation of
wireless ad-hoc networks has much of an interest in ENUM.

A question for TPTB: what are the factors that result in schedule changes?
If it's purely the number of session requests and I-D's, or major scheduling
conflicts that got missed, then essentially locking-down the schedule two
weeks in advance is reasonable.  If list volume impacts schedule, than it's
hard to see an alternative.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Friday, February 22, 2002 6:03 PM
To: Stephen Trowbridge
Cc: Michel Py; [email-masked]
Subject: Re: IETF #53 Schedule Stability

Stephen,

[snip]

---

From: Pekka Savola <[email-masked]>
Date: Sun, 24 Feb 2002 18:47:52 +0200 (EET)

On Sun, 24 Feb 2002, Eric Burger wrote:
[snip]
[snip]

What most people seem to be missing is the real work is done outside of
the WG meetings.  You can quite well participate in the IETF process
without ever (or once or twice a year) being present.  Personally, in some
wg's I've been to, a lot of MIC time is used by people who 1) like their 
own voice, and/or 2) haven't read the drafts.

If you want a focused view, participation isn't necessary.  (An IMO stupid
remnant here is that you have to present the works if they're to be
adopted as WG items.) If you want a general view (perhaps in addition to
the focused one), coming to the meetings might help.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: [email-masked]
Date: Mon, 25 Feb 2002 11:10:44 -0500

> the WG meetings.  You can quite well participate in the IETF process

Did you mean the hallways, or the mailing lists? ;)

---

From: Pekka Savola <[email-masked]>
Date: Mon, 25 Feb 2002 18:54:56 +0200 (EET)

> Did you mean the hallways, or the mailing lists? ;)

Pubs ;-)

---

From: "W. Mark Townsley" <[email-masked]>
Date: Mon, 25 Feb 2002 21:00:49 +0100

Pekka Savola wrote:
> adopted as WG items.) 

You don't have to present works for them to be adopted as WG items.

Presenting a work does, sometimes, help the WG chair(s) determine interest level
and consensus of the WG, particularly if the issue is contentious and the right
people are present at the meeting (e.g. people who have read the draft and
care). So, while it can help the author's cause to present, it is not (nor ever
has been that I know of) a requirement.

> If you want a general view (perhaps in addition to

---

From: Pekka Savola <[email-masked]>
Date: Mon, 25 Feb 2002 22:25:59 +0200 (EET)

> has been that I know of) a requirement.

Well, I haven't been around all that many years, but I don't recall a
single case in a few WG's I'm participating that an unpresented work would
have been adopted.. sure, it's not written down anywhere, but sometimes
custom is stronger than law...

---

From: Michael Richardson <[email-masked]>
Date: Sun, 24 Feb 2002 17:45:08 -0500

>>>>> "Pekka" == Pekka Savola <[email-masked]> writes:
    Pekka> What most people seem to be missing is the real work is done
    Pekka> outside of the WG meetings.  You can quite well participate in the
    Pekka> IETF process without ever (or once or twice a year) being present.

  By this, Pekka means both the mailing lists, but also the hallways.
  Problems are resolved 1:1 in the hallways between meetings. 
  So, I have no sympathy for those who want the schedule nailed down
early so they can get a cheap flight in/out. 

  Book yourself a cheap flight now (or better, last month). It is
particularly disrespectful to those who travel longer distances. 

  My major beef with the scheduling is that it tends to be Monday
heavy. The result is that Monday wipes me out. I always try to schedule
myself the entire week. Thanks to notebook with huge disks and processors
that make "workstations" seem a joke, IETF becomes a chance to catch up
on work without distractions from colleagues/bosses/etc.

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

---

From: "W. Mark Townsley" <[email-masked]>
Date: Tue, 26 Feb 2002 09:26:30 +0100

> custom is stronger than law...

It could certainly be the convention of the WG Chairs in those (or even most)
groups. But, it is still not an IETF mandate.

Cheers,

- Mark

---

From: RJ Atkinson <[email-masked]>
Date: Tue, 26 Feb 2002 08:18:51 -0500

On some day, someone wrote:
> Well, I haven't been around all that many years, but I don't recall
> a single case in a few WG's I'm participating that an unpresented
> work would have been adopted.. sure, it's not written down anywhere, but 
> sometimes custom is stronger than law...

The OTP WG did nearly all of its work via email, frequently
not holding in-person sessions at IETF meetings because the
mailing list was sufficient.  I'm sure there are also other
examples, but that one is handy (I'm the past OTP WG co-chair).

There are too many presentations these days.  It isn't required
by IETF rules to present an I-D for it to be seriously considered
by a WG.

Ran
[email-masked]

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 26 Feb 2002 07:49:42 -0800

> by IETF rules to present an I-D for it to be seriously considered

In some WG's, the chairs have set the rule on the opposite polarity so
that there won't be presentation unless there is serious discussion on
the mail list that isn't getting resolved.

Tony